import Vue from 'vue'
import Vuex from 'vuex'
import getters from './getters'

import user from './modules/user'
import app from './modules/app'
import goods from './modules/goods'
import storeCart from './modules/store_cart'

Vue.use(Vuex)

const store = new Vuex.Store({
  modules: {
    user,
    app,
    goods,
    storeCart
  },
  getters
})

export default store
